## zbar zbar — Detect bar codes in the video streams |

## Synopsis

    struct              GstZBar;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstZBar

## Properties

      "message"                  gboolean              : Read / Write
      "cache"                    gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | zbar
author | Stefan Kost <ensonic@users.sf.net>
class | Filter/Analyzer/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ Y800, I420, YV12, NV12, NV21, Y41B, Y42B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ Y800, I420, YV12, NV12, NV21, Y41B, Y42B }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstZBar

    struct GstZBar;

## Property Details

### The `"message"` property

      "message"                  gboolean              : Read / Write

Post a barcode message for each detected code.

Default value: TRUE

### The `"cache"` property

      "cache"                    gboolean              : Read / Write

Enable or disable the inter-image result cache.

Default value: FALSE